"""Read in sww file, interpolate at specified locations and
    Cross section at specified T

"""
from os import sep
import Numeric
import project
from pyvolution.util import file_function
from create_buildings import porosity, WidtH
# from run_friction import fric
from pylab import *
    

swwfile_B = project.outputdir + sep  + 'Buildings_3662.sww'


gauge_depth = Numeric.arrayrange(0, 2.5*WidtH, 5)
gauge_breadth = 100
gauge_locations = []

for GD in gauge_depth:
    gauge_location = [GD,gauge_breadth]
    gauge_locations.append(gauge_location)


#Read model output
quantities = ['stage', 'elevation', 'xmomentum', 'ymomentum']



f_B = file_function(swwfile_B,
                  quantities = quantities,
                  interpolation_points = gauge_locations,
                  verbose = True,
                  use_cache = True)
fric_OK=[]
Friction = [1,2,3,5,7,10,20,30,50]
for fric in Friction:
    swwfile_F = project.outputdir + sep  + 'friction_n=' + repr(fric) + '_3135.sww'
    f_F = file_function(swwfile_F,
                      quantities = quantities,
                      interpolation_points = gauge_locations,
                      verbose = True,
                      use_cache = True)

    t=500
    
    stages_B = []
    stages_F = []
    elevations = []
    momenta = []
    velocity = []
    for i, GL in enumerate(gauge_depth):

        # mines data from specified time values in sww file
        wB = f_B(t, point_id = i)[0]
        zB = f_B(t, point_id = i)[1]
        uhB = f_B(t, point_id = i)[2]
        vhB = f_B(t, point_id = i)[3]

        wF = f_F(t, point_id = i)[0]        
        uhF = f_B(t, point_id = i)[2]
        vhF = f_B(t, point_id = i)[3]
        #m = sqrt(uh*uh + vh*vh)   #Absolute momentum
        velB = sqrt(uhB*uhB + vhB*vhB) / (wB + 1.e-30) #Absolute velocity
        velF = sqrt(uhF*uhF + vhF*vhF) / (wF + 1.e-30) #Absolute velocity                   

        stages_B.append(wB)
        stages_F.append(wF)
        
        
    
    diff = abs(Numeric.array(stages_B) - Numeric.array(stages_F))

    if max(diff) < 1.2:
        print "_-_-_-_-_-_-_-_-_-_-_-_"
        print fric, " this file is OK"
        print "-_-_-_-_-_-_-_-_-_-_-_-"
        fric_OK.append(fric)
        #print swwfile_F, "this file OK"
    else:
        print fric, " this file is definelty NOT OK"
print fric_OK, "THESE FRICTION VALUES ARE OK"

    


